Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES

## Package com.google.web.bindery.event.shared

Interface Summary
HandlerRegistration | Registration objects returned when an event handler is bound (e.g.

Class Summary
Event<H> | Base Event object.
Event.Type<H> | Type class used to register events with an `EventBus`.
EventBus | Dispatches `Event`s to interested parties.
ResettableEventBus | Wraps an EventBus to hold on to any HandlerRegistrations, so that they can easily all be cleared at once.
SimpleEventBus | Basic implementation of `EventBus`.

Exception Summary
UmbrellaException | A `RuntimeException` that collects a `Set` of child `Throwable`s together.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES